import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  npiNumber: z.string(),
  providerName: z.string(),
  sortOrder: z.number().int().optional(),
  createdAt: z.coerce.date().optional()
}).strict();
export const NpiProviderCreateManyUserInputObjectSchema: z.ZodType<Prisma.NpiProviderCreateManyUserInput> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderCreateManyUserInput>;
export const NpiProviderCreateManyUserInputObjectZodSchema = makeSchema();
